# Exchange Rates Exchange Rates ## Gets all of the exchange rates in the system. - [GET /exchangeRates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/listexchangerates.md): This method will scan all exchange rates and and return them to the caller. ## Creates a new exchange rate record that does not already exist. - [POST /exchangeRates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/createexchangerate.md): This method will auto-generate an ID and create a new exchange rate. If an ID is specified for the exchange rate, an error will be thrown. ## Execute Batch Operations - [POST /exchangeRates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a exchange rate from the system by its ID. - [DELETE /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/deleteexchangerate.md): This method will delete a exchange rate with the specified ID. ## Returns a exchange rate from the system by its ID. - [GET /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/getexchangerate.md): This method will look up a exchange rate by the specified ID and return it back. ## Partially updates a exchange rate with the specified ID. - [PATCH /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/patchexchangerate.md): This method will patch an existing exchange rate with the specified ID, using the HTTP PATCH specification. ## Updates a exchange rate with the specified ID. - [PUT /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/updateexchangerate.md): This method will update an existing exchange rate with the specified ID.